Skip to main content
GET
Invoice Payment List Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string

Filter by payment status (e.g. 'Scheduled', 'Completed', 'Failed')

customer_uuid
string

Filter by customer UUID (via invoice)

invoice_uuid
string

Filter by invoice UUID

date_from
string<date>

Filter payments scheduled on or after this date (YYYY-MM-DD)

date_to
string<date>

Filter payments scheduled on or before this date (YYYY-MM-DD)

amount_gte
number

Filter payments with amount greater than or equal to this value

amount_lte
number

Filter payments with amount less than or equal to this value

created_in_api
boolean

Filter by API-created payments. true=only API-created, false=only non-API, omit=all

limit
integer

Number of results to return per page

offset
integer

Number of results to skip

Response

200 - application/json

Paginated list of invoice payments

items
InvoicePaymentOut · object[]
required
count
integer
required